Bug 5128 - Define default 9xx fields for Unimarc setup in all languages
Summary: Define default 9xx fields for Unimarc setup in all languages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5036
  Show dependency treegraph
 
Reported: 2010-08-12 17:29 UTC by Zeno Tajoli
Modified: 2010-11-30 16:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
The patch for the bug 5128 (22.70 KB, patch)
2010-08-12 18:11 UTC, Zeno Tajoli
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2010-08-12 17:29:38 UTC
As I say in this mail:
http://lists.koha-community.org/pipermail/koha-devel/2010-July/034235.html
we need a shared default for Unimarc setups.

Reading the replays, I wrote the patches to implement what I have said.
I think is to late to implement those fixes on 3.0.x.
So I write them only for 3.2
The patches are for the files:

../etc/zebradb/marc_defs/unimarc/biblios/record.abs
../installer/data/mysql/en/marcflavour/unimarc/mandatory/unimarc_framework_DEFAULT.sql
Comment 1 Zeno Tajoli 2010-08-12 18:11:51 UTC
Created attachment 2513 [details] [review]
The patch for the bug 5128

I have problem to use git-send
Comment 2 MJ Ray (software.coop) 2010-10-14 12:10:20 UTC
I just asked about this and you might find some reply later after
http://stats.workbuffer.org/irclog/koha/2010-10-14#i_518976
Comment 3 MJ Ray (software.coop) 2010-10-14 12:19:01 UTC
There is some discussion after
http://lists.koha-community.org/pipermail/koha-patches/2010-October/012618.html

(Thanks to cait)
Comment 4 Zeno Tajoli 2010-10-14 12:59:53 UTC
After the discussion, I re-write the patch.
Now the patch don't change the previous definiton of 995 $h as source of ccode index in the file etc/zebradb/marc_defs/unimarc/biblios/record.abs

The patch is sent to koha-patches mailinglist.
The link is 
http://lists.koha-community.org/pipermail/koha-patches/2010-October/012662.html
Comment 5 Galen Charlton 2010-10-22 02:47:53 UTC
Pushed revised patch for inclusion in 3.2.
Comment 6 MJ Ray (software.coop) 2010-11-10 08:49:17 UTC
This bug is mentioned in:
Bug 5128 [3.2] To define default 9xx fields for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012619.html
Bug 5128 [3.2] To define default 9xx fields for	Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012620.html
Bug 5128 [3.2] To define default 9xx fields for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012621.html
Bug 5128 [3.2] To define default 9xx fields for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012622.html
Bug 5128 [3.2] To define default 9xx fields for	Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012627.html
Bug 5128 [3.2] To define default 9xx fields for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012628.html
Bug 5128 [3.2] To define default 9xx fields for Unimarc http://lists.koha-community.org/pipermail/koha-patches/2010-October/012631.html
Bug 5128 [3.2] Unimarc default for holdings. Written with French default http://lists.koha-community.org/pipermail/koha-patches/2010-October/012704.html
Bug 5128 [3.2] Unimarc default for holdings. Written with French default http://lists.koha-community.org/pipermail/koha-patches/2010-October/012705.html
Comment 7 Chris Nighswonger 2010-11-18 03:15:31 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 8 Chris Nighswonger 2010-11-30 13:49:36 UTC
This bug has a fix which was committed to the 3.2.x branch and released in 3.2.1.

Please take time to update the status of this bug and mark it RESOLVED FIXED so that it may be closed.
Comment 9 Chris Nighswonger 2010-11-30 16:44:41 UTC
Marking CLOSED. A fix for this bug has been committed to the current development HEAD as well as released in 3.2.1.